# Poco::Net

# class HTTPInputStream

Library: Net
Package: HTTP
Header: Poco/Net/HTTPStream.h

## Description

This class is for internal use by HTTPSession only.

## Inheritance

Direct Base Classes: HTTPIOS, std::istream

All Base Classes: HTTPIOS, std::ios, std::istream

## Member Summary

Member Functions: operator delete, operator new

Inherited Functions: rdbuf

## Constructors

### HTTPInputStream

HTTPInputStream(
HTTPSession & session
);

## Destructor

### ~HTTPInputStream

~HTTPInputStream();

## Member Functions

### operator delete

void operator delete(
void * ptr
);

### operator new

void * operator new(
std::size_t size
);